Get Agent Task
curl --request POST \
--url https://api.example.com/a2a/agents/{id}/v1/tasks:get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "request-1",
"params": {
"id": "task-1",
"contextId": "context-1"
}
}
'import requests
url = "https://api.example.com/a2a/agents/{id}/v1/tasks:get"
payload = {
"id": "request-1",
"params": {
"id": "task-1",
"contextId": "context-1"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: 'request-1', params: {id: 'task-1', contextId: 'context-1'}})
};
fetch('https://api.example.com/a2a/agents/{id}/v1/tasks:get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"contextId": "<string>",
"id": "<string>",
"status": {
"state": "submitted",
"message": {
"messageId": "<string>",
"parts": [
{
"text": "<string>",
"kind": "text",
"metadata": {}
}
],
"role": "agent",
"contextId": "<string>",
"extensions": [
"<string>"
],
"kind": "message",
"metadata": {},
"referenceTaskIds": [
"<string>"
],
"taskId": "<string>"
},
"timestamp": "2023-10-27T10:00:00Z"
},
"artifacts": [
{
"artifactId": "<string>",
"parts": [
{
"text": "<string>",
"kind": "text",
"metadata": {}
}
],
"description": "<string>",
"extensions": [
"<string>"
],
"metadata": {},
"name": "<string>"
}
],
"history": [
{
"messageId": "<string>",
"parts": [
{
"text": "<string>",
"kind": "text",
"metadata": {}
}
],
"role": "agent",
"contextId": "<string>",
"extensions": [
"<string>"
],
"kind": "message",
"metadata": {},
"referenceTaskIds": [
"<string>"
],
"taskId": "<string>"
}
],
"kind": "task",
"metadata": {}
},
"id": "<string>",
"jsonrpc": "2.0"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}A2A
Get Agent Task
Get the status and result of an agent task by ID.
POST
/
a2a
/
agents
/
{id}
/
v1
/
tasks:get
Get Agent Task
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response